/*
 * Header for tinylibc compatibility
 */

#if !defined (__TINYLIBC_H__)
#define __TINYLIBC_H__

#include <stdlib.h>
#include <string.h>
#include <netinet/in.h>
#include <netinet/ether.h>
#include <termios.h>
#include <sys/time.h>

#define FNMATCH_BROKEN
#define GLOB_BROKEN

typedef volatile int sig_atomic_t;
typedef int in_addr_t;

FILE *freopen(const char *path, const char *mode, FILE *stream);

static inline int bcmp (const void *s1, const void *s2, size_t n)
{
    return memcmp(s1, s2, n);
}

static inline void herror(const char *s)
{
    perror(s);
}

struct hostent *gethostbyname2(const char *name, int af);

int daemon(int nochdir, int noclose);

char *strtok_r (char *s, const char *delim, char **lastp);

int mkstemp(char *template);

void timersub (struct timeval *t1, struct timeval *t2, struct timeval *t3);

int fnmatch(const char *pattern, const char *string, int flags);
/* Bits set in the FLAGS argument to `fnmatch'.  */
#define FNM_PATHNAME    (1 << 0) /* No wildcard can ever match `/'.  */
#define FNM_NOESCAPE    (1 << 1) /* Backslashes don't quote special chars.  */
#define FNM_PERIOD      (1 << 2) /* Leading `.' is matched only explicitly.  */

#endif /* !defined (__TINYLIBC_H__) */
