/*
 *   Copyright (C) 2001, 2002, 2003, 2004, Jocelyn MAYER <l_indien@magic.fr>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
/*
 * Simple Disk Partition Layer
 *
 * user-mode edit tool definitions for SDPL
 *
 */

/**SECTION: sysutils */
/**SECTION: sdpl */
/**SECTION: edit tool */

/* Bug tracking definitions */
#if SDPL_EMBEDDED
static const char *progname = "sdpldump";
#else /* SDPL_EMBEDDED */
static const char *progname = "sdpledit";
#endif /* SDPL_EMBEDDED */
#define ERRORLEN 128
static char str_error[ERRORLEN];

/* Editor definitions */
#if USE_EDITMODE

/* I restrain (!) my command line to 256 characters */
#define MAX_CMD 256
/* Yet another MAGIC value (with no meaning !) */
#define DO_EXIT 211

/* Command structure definition */
struct commands {
    char *cmd;
    char *comments;
    int arg_min, arg_max;
    std_stype (*exec)(const char *bufargs);
};

/* The main editor routine... */
void interract (struct SDPL_map *SDPL_map, int fd, Sector sect);

#endif /* USE_EDITMODE */
